DocumentHandlerException (Lucene 2.4.1 API)
Keywords: org.apache.lucene.ant.DocumentHandlerException class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.ant
Class DocumentHandlerException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.lucene.ant.DocumentHandlerException

All Implemented Interfaces:
  Serializable

    public class DocumentHandlerException

extends Exception

See Also:
  Serialized Form

Constructor Summary
`DocumentHandlerException()` Default constructor.
`DocumentHandlerException(String message)` Constructs with message.
`DocumentHandlerException(Throwable cause)` Constructs with chained exception.

Method Summary
`Throwable` | `getException()` Retrieves nested exception.
`void` | `printStackTrace()`
`void` | `printStackTrace(PrintStream ps)`
`void` | `printStackTrace(PrintWriter pw)`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DocumentHandlerException

    public DocumentHandlerException()

  Default constructor.

### DocumentHandlerException

    public DocumentHandlerException(String message)

  Constructs with message.

### DocumentHandlerException

    public DocumentHandlerException(Throwable cause)

  Constructs with chained exception.

Method Detail

### getException

    public Throwable getException()

  Retrieves nested exception.

### printStackTrace

    public void printStackTrace()

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintStream ps)

  Overrides:
    `printStackTrace` in class `Throwable`

### printStackTrace

    public void printStackTrace(PrintWriter pw)

  Overrides:
    `printStackTrace` in class `Throwable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2009 Apache Software Foundation. All Rights Reserved.